Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleVector3 Class Reference

参照方法が複数ある柔軟なVector3型を扱うクラス。 More...

Inheritance diagram for FlexibleVector3:

## Public Member Functions
| FlexibleVector3 ()
| FlexibleVector3デフォルトコンストラクタ More...
| FlexibleVector3 (Vector3 value)
| FlexibleVector3コンストラクタ More...
| FlexibleVector3 (Vector3ParameterReference parameter)
| FlexibleVector3コンストラクタ More...
| FlexibleVector3 (InputSlotVector3 slot)
| FlexibleVector3コンストラクタ More...
object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator Vector3 (FlexibleVector3 flexible)
| FlexibleVector3をVector3にキャスト。 More...
static | operator FlexibleVector3 (Vector3 value)
| Vector3をFlexibleVector3にキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
Vector3 | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なVector3型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleVector3 | ( |  | ) |

FlexibleVector3デフォルトコンストラクタ

FlexibleVector3 | ( | Vector3 | value | ) |

FlexibleVector3コンストラクタ

Parameters

  value | 値

FlexibleVector3 | ( | Vector3ParameterReference | parameter | ) |

FlexibleVector3コンストラクタ

Parameters

  parameter | パラメータ

FlexibleVector3 | ( | InputSlotVector3 | slot | ) |

FlexibleVector3コンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

static operator FlexibleVector3 | ( | Vector3 | value | ) |
| explicit static

Vector3をFlexibleVector3にキャスト。

Parameters

  value | Vector3

static operator Vector3 | ( | FlexibleVector3 | flexible | ) |
| explicit static

FlexibleVector3をVector3にキャスト。

Parameters

  flexible | FlexibleVector3

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

Vector3 value
| get

値を返す